Approvals
GET
/organizations/{organizationId}/approvals
List approval flows
Parámetros de consulta
pageToken
string
The cursor that keeps track of the current position in the results.
limit
integer
Limits the number of results to return.
reverse
boolean
Reverses the order in which the results are returned.
status
string
Possible values: active, deleted
objectType
string
objectAction
string
Possible values: create, update, delete
tags
string
Cuerpo de la respuesta
results
array of object
obligatorio
Mostrar atributos secundarios
results.id
string
obligatorio
results.organizationId
string
results.workspaceId
string
results.ownerId
string
obligatorio
results.name
string
obligatorio
results.description
string
obligatorio
results.objectType
string
obligatorio
The identifier of the object
results.objectAction
string
obligatorio
The action performed on the object
Possible values: create, update, delete
results.steps
array of object
obligatorio
Mostrar atributos secundarios
results.steps.type
string
obligatorio
Possible values: any, all
results.steps.users
array of string
obligatorio
results.steps.reviewers
array of object
Mostrar atributos secundarios
results.steps.reviewers.type
string
obligatorio
Possible values: user
results.steps.reviewers.id
string
obligatorio
results.steps.message
string
results.createdAt
string
obligatorio
results.updatedAt
string
obligatorio
results.tags
array of object
Mostrar atributos secundarios
results.tags.key
string
obligatorio
results.tags.value
string
obligatorio
nextPageToken
string
The token to fetch the next page of results. If empty, there are no more results to fetch.
Ejemplo de código
curl -X GET 'https://api.bird.com/organizations/{organizationId}/approvals' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'POST
/organizations/{organizationId}/approvals
Create approval flow
Cuerpo de la solicitud
name
string
obligatorio
description
string
obligatorio
objectType
string
obligatorio
The identifier of the object
objectAction
string
obligatorio
The action performed on the object
Possible values: create, update, delete
tags
array of object
Mostrar parámetros secundarios
tags.key
string
obligatorio
tags.value
string
obligatorio
steps
array of object
obligatorio
Mostrar parámetros secundarios
steps.type
string
obligatorio
Possible values: any, all
steps.users
array of string
steps.reviewers
array of object
Mostrar parámetros secundarios
steps.reviewers.type
string
obligatorio
Possible values: user
steps.reviewers.id
string
obligatorio
steps.message
string
Cuerpo de la respuesta
id
string
obligatorio
organizationId
string
workspaceId
string
ownerId
string
obligatorio
name
string
obligatorio
description
string
obligatorio
objectType
string
obligatorio
The identifier of the object
objectAction
string
obligatorio
The action performed on the object
Possible values: create, update, delete
steps
array of object
obligatorio
Mostrar atributos secundarios
steps.type
string
obligatorio
Possible values: any, all
steps.users
array of string
obligatorio
steps.reviewers
array of object
Mostrar atributos secundarios
steps.reviewers.type
string
obligatorio
Possible values: user
steps.reviewers.id
string
obligatorio
steps.message
string
createdAt
string
obligatorio
updatedAt
string
obligatorio
tags
array of object
Mostrar atributos secundarios
tags.key
string
obligatorio
tags.value
string
obligatorio
Ejemplo de código
curl -X POST 'https://api.bird.com/organizations/{organizationId}/approvals' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'GET
/organizations/{organizationId}/approvals/{approvalId}
Retrieve approval flow
Cuerpo de la respuesta
id
string
obligatorio
organizationId
string
workspaceId
string
ownerId
string
obligatorio
name
string
obligatorio
description
string
obligatorio
objectType
string
obligatorio
The identifier of the object
objectAction
string
obligatorio
The action performed on the object
Possible values: create, update, delete
steps
array of object
obligatorio
Mostrar atributos secundarios
steps.type
string
obligatorio
Possible values: any, all
steps.users
array of string
obligatorio
steps.reviewers
array of object
Mostrar atributos secundarios
steps.reviewers.type
string
obligatorio
Possible values: user
steps.reviewers.id
string
obligatorio
steps.message
string
createdAt
string
obligatorio
updatedAt
string
obligatorio
tags
array of object
Mostrar atributos secundarios
tags.key
string
obligatorio
tags.value
string
obligatorio
Ejemplo de código
curl -X GET 'https://api.bird.com/organizations/{organizationId}/approvals/{approvalId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'DELETE
/organizations/{organizationId}/approvals/{approvalId}
Delete approval flow
Ejemplo de código
curl -X DELETE 'https://api.bird.com/organizations/{organizationId}/approvals/{approvalId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'PATCH
/organizations/{organizationId}/approvals/{approvalId}
Update approval flow
Cuerpo de la solicitud
name
string
description
string
objectType
string
objectAction
string
Possible values: create, update, delete
steps
array of object
Mostrar parámetros secundarios
steps.type
string
obligatorio
Possible values: any, all
steps.users
array of string
steps.reviewers
array of object
Mostrar parámetros secundarios
steps.reviewers.type
string
obligatorio
Possible values: user
steps.reviewers.id
string
obligatorio
steps.message
string
Cuerpo de la respuesta
id
string
obligatorio
organizationId
string
workspaceId
string
ownerId
string
obligatorio
name
string
obligatorio
description
string
obligatorio
objectType
string
obligatorio
The identifier of the object
objectAction
string
obligatorio
The action performed on the object
Possible values: create, update, delete
steps
array of object
obligatorio
Mostrar atributos secundarios
steps.type
string
obligatorio
Possible values: any, all
steps.users
array of string
obligatorio
steps.reviewers
array of object
Mostrar atributos secundarios
steps.reviewers.type
string
obligatorio
Possible values: user
steps.reviewers.id
string
obligatorio
steps.message
string
createdAt
string
obligatorio
updatedAt
string
obligatorio
tags
array of object
Mostrar atributos secundarios
tags.key
string
obligatorio
tags.value
string
obligatorio
Ejemplo de código
curl -X PATCH 'https://api.bird.com/organizations/{organizationId}/approvals/{approvalId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'